Subject: bug#58558: 29.0.50; re-search-forward is slow in some buffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Apr 2023 07:52:43 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Alan Mackenzie <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Wed, 12 Apr 2023 19:23:19 -0400
> 
> > For the former, we could probably extend the `b_property` and
> > `e_property` fields of `gl_state` (which hold charpos) to also store
> > their bytepos equivalent, which should significantly reduce the number
> > of conversions between bytepos and charpos.
> 
> I.e. something like the patch below (which passes all tests except for
> `test/src/comp-tests` for a reason that completely escapes me).

Andrea, could you please help Stefan with that test failure?